#include "MyRunAction.hh"
#include "G4Run.hh"
#include "globals.hh"

#include "MyRun.hh"


MyRunAction::MyRunAction() 
{}

MyRunAction::~MyRunAction() 
{}

void MyRunAction::BeginOfRunAction(const G4Run* aRun)
{
 G4cout << "MyLog:   Begin of run" << G4endl;
}

void MyRunAction::EndOfRunAction(const G4Run* aRun)
{
 G4cout <<"MyLog:   Number of processed events: " << aRun->GetNumberOfEvent()
               << " events. " <<G4endl;
 G4cout << "MyLog:   End of run" << G4endl;
}

G4Run* MyRunAction::GenerateRun()
{
 return new MyRun();
}

